using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsCE.Forms;


namespace PlatformTypeDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        private void butGetType_Click(object sender, EventArgs e)
        {
            if(SystemSettings.Platform == WinCEPlatform.PocketPC)
                txtDeviceType.Text = "Windows Mobile Professional";
            else if (SystemSettings.Platform == WinCEPlatform.Smartphone)
                txtDeviceType.Text = "Windows Mobile Standard";
            else
                txtDeviceType.Text = "Это не Windows Mobile";
        }
    }
}